summaryrefslogtreecommitdiff
path: root/bin/tests_public27.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/tests_public27.sh')
-rwxr-xr-xbin/tests_public27.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/tests_public27.sh b/bin/tests_public27.sh
index 1fa26b3..7f83419 100755
--- a/bin/tests_public27.sh
+++ b/bin/tests_public27.sh
@@ -7,11 +7,14 @@ name=conda
context=public
repo=http://ssb.stsci.edu/astroconda
+# use RTX
+test_from+='x'
+
# Activate environment
source activate rt_${context}27
# Update environment
-conda update -q -y --override-channels -c defaults -c $repo --all
+conda update -q -y --override-channels -c $repo -c defaults --all
source /eng/ssb/auto/astroconda/include/post-common.sh
@@ -31,6 +34,8 @@ set -x
[[ -d $LOGDIR ]] && [[ $LOGDIR != ^/$ ]] && rm -f "$LOGDIR/*"
pushd $LOGDIR
time pdkrun --parallel=${CPU_COUNT} -r "${tests[@]}"
+ retval=$?
popd
cat ${PDK_LOG}* | ssh iraf@ssb "irafdev ; pdk import -"
+exit $retval